Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WindowCapabilities

    java.lang.Object
      com.bea.netuix.servlets.controls.window.WindowCapabilities

    public class WindowCapabilities

extends Object

This class represents certain predefined window capabilities.

Field Summary
`protected static HashMap` | `capabilityCodes`
`static Capability` | `DELETE` Delete State.
`static Capability` | `EDIT` Edit mode.
`static Capability` | `FLOAT` Float State.
`static Capability` | `HELP` Help mode.
`static Capability` | `MAXIMIZED` Maximize state.
`static Capability` | `MINIMIZED` Minimize state.
`static Capability` | `NORMAL` Normal state.
`static Capability` | `VIEW` View mode.

Constructor Summary
`WindowCapabilities()`

Method Summary
`static Capability[]` | `getCapabilities()` Returns predefined capabilites of the Window object.
`static Capability` | `getModeCapability(String name)` Returns a Capability for a name that corresponds to a WindowMode, if it exists, otherwise null.
`static Capability` | `getPredefinedCapability(Capability capability)` Used to determine if a given Capability is a supported capability (i.e.
`static Capability` | `getStateCapability(String name)` Returns a Capability for a name that corresponds to a WindowState, if it exists, otherwise null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final Capability NORMAL

  Normal state.

### MINIMIZED

    public static final Capability MINIMIZED

  Minimize state.

### MAXIMIZED

    public static final Capability MAXIMIZED

  Maximize state.

### DELETE

    public static final Capability DELETE

  Delete State.

### FLOAT

    public static final Capability FLOAT

  Float State.

### VIEW

    public static final Capability VIEW

  View mode.

### EDIT

    public static final Capability EDIT

  Edit mode.

### HELP

    public static final Capability HELP

  Help mode.

### capabilityCodes

    protected static final HashMap capabilityCodes

Constructor Detail

### WindowCapabilities

    public WindowCapabilities()

Method Detail

### getCapabilities

    public static Capability[] getCapabilities()

  Returns predefined capabilites of the Window object.

  Returns
    an array of `Capability` objects.

### getModeCapability

    public static Capability getModeCapability(String name)

  Returns a Capability for a name that corresponds to a WindowMode, if it exists, otherwise null.

  Parameters
    `name` - of WindowMode
  Returns
    Capability for WindowMode, if it exists, otherwise null.

### getStateCapability

    public static Capability getStateCapability(String name)

  Returns a Capability for a name that corresponds to a WindowState, if it exists, otherwise null.

  Parameters
    `name` - of WindowState
  Returns
    Capability for WindowState, if it exists, otherwise null.

### getPredefinedCapability

    public static Capability getPredefinedCapability(Capability capability)

  Used to determine if a given Capability is a supported capability (i.e. one of the static members of this class: `Edit`, `Delete`, etc.

  Returns
    null - if not a predefined capability. Otherwise it will be the static representation of the capability. Can be used to see if a capability is entitleable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved